package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 会议记录对象 hyjl
 * 
 * @author ruoyi
 * @date 2024-10-30
 */
@Data
public class Hyjl extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
//    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dwid;
    @Excel(name = "单位")
    private String dwmc;

    /** $column.columnComment */
    @Excel(name = "参会人员")
    private String ryxx;

    /** $column.columnComment */
    @Excel(name = "参会地点")
    private String chdd;

    /** $column.columnComment */
    @Excel(name = "是否请假")
    private String sfqj;

    /** $column.columnComment */
    @Excel(name = "请假原因")
    private String qjyy;

    /** $column.columnComment */
//    @Excel(name = "", readConverterExp = "$column.readConverterExp()")
    private String bz;


    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "参会时间",dateFormat="yyyy-MM-dd")
    private Date cjsj;

    private String cjsj2;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDwid(String dwid) 
    {
        this.dwid = dwid;
    }

    public String getDwid() 
    {
        return dwid;
    }
    public void setRyxx(String ryxx) 
    {
        this.ryxx = ryxx;
    }

    public String getRyxx() 
    {
        return ryxx;
    }
    public void setChdd(String chdd) 
    {
        this.chdd = chdd;
    }

    public String getChdd() 
    {
        return chdd;
    }
    public void setSfqj(String sfqj) 
    {
        this.sfqj = sfqj;
    }

    public String getSfqj() 
    {
        return sfqj;
    }
    public void setQjyy(String qjyy) 
    {
        this.qjyy = qjyy;
    }

    public String getQjyy() 
    {
        return qjyy;
    }
    public void setBz(String bz) 
    {
        this.bz = bz;
    }

    public String getBz() 
    {
        return bz;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dwid", getDwid())
            .append("ryxx", getRyxx())
            .append("chdd", getChdd())
            .append("sfqj", getSfqj())
            .append("qjyy", getQjyy())
            .append("bz", getBz())
            .toString();
    }
}
